发布时间 :1999-11-30 00:00:00
修订时间 :2008-09-09 08:36:02

[原文]Buffer overflow in CDE dtmail and dtmailpr programs allows local users to gain privileges via a long -f option.

[CNNVD]Multiple Vendor CDE dtmail/mailtool缓冲区溢出漏洞(CNNVD-199911-081)

        CDE dtmail 和 dtmailpr程序中存在缓冲区溢出漏洞。本地用户通过长-f选项可获得权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  solaris-dtmailpr-overflow(3580)
(UNKNOWN)  XF  solaris-dtmail-overflow(3579)
(UNKNOWN)  BUGTRAQ  19991129 Solaris7 dtmail/dtmailpr/mailtool Buffer Overflow

- 漏洞信息

Multiple Vendor CDE dtmail/mailtool缓冲区溢出漏洞
高危 缓冲区溢出
1999-11-30 00:00:00 2005-10-20 00:00:00
        CDE dtmail 和 dtmailpr程序中存在缓冲区溢出漏洞。本地用户通过长-f选项可获得权限。

- 公告与补丁

        A temporary solution is to remove the sgid bit from the affected binaries.
        Patches are available to all Sun customers at
        Sun Solaris 7.0

  •         Sun 107200-12


- 漏洞信息

Solaris CDE dtmail -f Parameter Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

1999-11-29 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Multiple Vendor CDE dtmail/mailtool Buffer Overflow Vulnerability
Boundary Condition Error 832
No Yes
1999-11-30 12:00:00 2009-07-11 12:56:00
First posted to BugTraq by UNYUN <> on November 30, 1999.

- 受影响的程序版本

Sun Solaris 7.0

- 漏洞讨论

There are three buffer overflow vulnerabilities in the CDE mail utilities, all of which are installed sgid mail by default.

The first is exploited through overrunning a buffer in the Content-Type: field, which would look something like this:

Content-Type: image/aaaaaaaa long 'a' aaaaaa; name="test.gif"

mailtool will overflow when email is selected which has a content-type field like that. It may be possible for an attacker to obtain root priviliges if shellcode is written appropriately and root selects the malicious email message.

The second vulnerability is in dtmail, which will crash (and possibly execute arbitrary code) if a long paramater is passed argumenting the -f command-line option.

The third is in mailpr, which is vulnerable to a long -f paramater as well.

The most basic consequence of these being exploited is a compromise of local email, since all mail data is set mode 660, read and write permissions granted for members of group mail.

As of November 30, 1999, Solaris 7 is the only known vulnerable platform.

- 漏洞利用

Exploit available:

- 解决方案

A temporary solution is to remove the sgid bit from the affected binaries.

Patches are available to all Sun customers at

Sun Solaris 7.0
  • Sun 107200-12

- 相关参考